## binutils 2.41.50.20230905

=== debian/changelog ===
binutils (2.41.50.20230905-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Don't create a dangling gold symlink on archs where it's not available.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Sep 2023 16:05:21 +0200

binutils (2.41.50.20230803-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Build alpha arc hppa m68k sh4 sparc64 cross packages on ppc64el.
  * Ignore gprofng and bootstrap test regressions.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Aug 2023 04:09:45 +0200

binutils (2.41.50.20230731-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Bump symbols files to final 2.41 version.

 -- Matthias Klose <doko@debian.org>  Mon, 31 Jul 2023 08:09:39 +0200
