## binutils 2.41.50.20231214

=== debian/changelog ===
binutils (2.41.50.20231214-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - Fixes a memory leak. Closes: #1057962. 

 -- Matthias Klose <doko@debian.org>  Thu, 14 Dec 2023 17:33:06 +0100

binutils (2.41.50.20231206-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Add more GCC test dependencies for builds on ppc64el and s390x.
  * Update libgprofng symbols file.
  * Reset the ignored-regression list.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Dec 2023 08:47:54 +0100

binutils (2.41.50.20231202-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - Fix generation of gprofng man pages. Closes: #1042966.
  * Split out some macros into debian/rules.defs.
  * Ignore regressions compared to 2.41, See PR ld/31100, PR ld/31101,
    PR ld/31102.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Dec 2023 11:15:23 +0100

binutils (2.41.50.20231125-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Build cross packages on s390x.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Nov 2023 10:44:41 +0100

binutils (2.41.50.20231101-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Nov 2023 08:19:21 +0100

binutils (2.41.50.20231010-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Build packages for loong64. Addresses: #1034633.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Oct 2023 12:19:36 +0200
