## binutils 2.41.50.20231227

=== debian/changelog ===
binutils (2.41.50.20231227-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Dec 2023 10:36:14 +0100
