=== debian/control ===
--- 
+++ 
@@ -8,21 +8,21 @@
   bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz, debugedit (>= 4.16),
   python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps, help2man,
   libjansson-dev, pkg-config, libzstd-dev,
-  g++-aarch64-linux-gnu [amd64 i386 x32] <!nocheck>,
+  g++-aarch64-linux-gnu [amd64 i386 ppc64el s390x x32] <!nocheck>,
   g++-arm-linux-gnueabi [amd64 arm64 i386 x32] <!nocheck>,
-  g++-arm-linux-gnueabihf [amd64 arm64 i386 x32] <!nocheck>,
-  g++-powerpc64le-linux-gnu [amd64 arm64 i386 ppc64 x32] <!nocheck>,
+  g++-arm-linux-gnueabihf [amd64 arm64 i386 ppc64el s390x x32] <!nocheck>,
+  g++-powerpc64le-linux-gnu [amd64 arm64 i386 ppc64 s390x x32] <!nocheck>,
   g++-s390x-linux-gnu [amd64 arm64 i386 ppc64el x32] <!nocheck>,
   g++-alpha-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-hppa-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-m68k-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-powerpc-linux-gnu [amd64 i386 ppc64el x32] <!nocheck>,
-  g++-powerpc64-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-riscv64-linux-gnu [amd64 arm64 i386 ppc64el x32] <!nocheck>,
+  g++-powerpc-linux-gnu [amd64 i386 ppc64el s390x x32] <!nocheck>,
+  g++-powerpc64-linux-gnu [amd64 i386 s390x x32] <!nocheck>,
+  g++-riscv64-linux-gnu [amd64 arm64 i386 ppc64el s390x x32] <!nocheck>,
   g++-sh4-linux-gnu [amd64 i386 x32] <!nocheck>,
   g++-sparc64-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-i686-linux-gnu [amd64 arm64 ppc64el x32] <!nocheck>,
-  g++-x86-64-linux-gnu [arm64 i386 ppc64el] <!nocheck>,
+  g++-i686-linux-gnu [amd64 arm64 ppc64el s390x x32] <!nocheck>,
+  g++-x86-64-linux-gnu [arm64 i386 ppc64el s390x] <!nocheck>,
   g++-x86-64-linux-gnux32 [amd64 arm64 i386 ppc64el] <!nocheck>,
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
@@ -276,7 +276,7 @@
 
 Package: binutils-x86-64-linux-gnu
 Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
+Architecture: amd64 arm64 i386 ppc64el x32 s390x
 Multi-Arch: allowed
 Depends: binutils-common (= ${binary:Version}),
   ${shlibs:Depends}, ${extraDepends}
@@ -284,4 +284,3 @@
 Provides: 
 Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
-Description: GNU binary utilities, for x86-64-linux-gnu target
