=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 DEB_HOST_GNU_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_CPU)
 DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
 DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)
+
+include debian/rules.defs
 
 ifeq (,$(filter no, $(DEB_RULES_REQUIRES_ROOT)))
   require_root = yes
@@ -120,7 +122,7 @@
 install_binary = install -m 755 -s --strip-program="$(STRIP)"
 
 NATIVE_ARCHS ?= amd64 i386 arm64 armhf armel ppc64el s390x
-NATIVE_ARCHS += alpha arc hppa ia64 m68k powerpc ppc64 \
+NATIVE_ARCHS += alpha arc hppa ia64 loong64 m68k powerpc ppc64 \
 	riscv64 sh4 sparc64 x32
 NATIVE_ARCHS += hurd-amd64 hurd-i386 kfreebsd-amd64 kfreebsd-i386
 #NATIVE_ARCHS += nios2 or1k s390 sparc
@@ -141,7 +143,7 @@
     # DEB_HOST_ARCH is filtered-out later anyway, do not test here.
     CROSS_ARCHS ?= amd64 i386 x32 \
                    s390x ppc64el arm64 armhf armel \
-                   alpha arc hppa m68k \
+                   alpha arc hppa loong64 m68k \
                    powerpc ppc64 sh4 sparc64 \
                    ia64 riscv64 \
                    kfreebsd-amd64 kfreebsd-i386 hurd-amd64 hurd-i386
@@ -153,6 +155,8 @@
   else ifeq ($(DEB_HOST_ARCH),ppc64el)
     CROSS_ARCHS ?= powerpc ppc64 amd64 armel armhf arm64 i386 riscv64 s390x \
 		   alpha arc hppa m68k sh4 sparc64 x32
+  else ifeq ($(DEB_HOST_ARCH),s390x)
+    CROSS_ARCHS ?= amd64 armhf arm64 i386 riscv64 powerpc ppc64 ppc64el
   endif
 else ifeq ($(DEB_SOURCE),binutils-ports)
   CROSS_ARCHS ?= m68k sh4
@@ -188,27 +192,23 @@
 endif
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 arm64 x32))
-  with_gprofng = yes
-  CONF_GPROFNG = --enable-gprofng
-endif
-
-HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el s390x
 HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el
-HOST_ARCHS_powerpc = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64
+HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el s390x
+HOST_ARCHS_powerpc = amd64 i386 x32 arm64 ppc64el s390x
+HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64 s390x
 HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_amd64 = arm64 i386 ppc64el x32
-HOST_ARCHS_i386 = amd64 arm64 ppc64el x32
+HOST_ARCHS_amd64 = arm64 i386 ppc64el x32 s390x
+HOST_ARCHS_i386 = amd64 arm64 ppc64el x32 s390x
 HOST_ARCHS_ia64 = amd64 i386 x32
-HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el s390x
 
 HOST_ARCHS_alpha = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_arc = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_hppa = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_loong64 = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_m68k = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_ppc64 = amd64 i386 x32 ppc64el
+HOST_ARCHS_ppc64 = amd64 i386 x32 ppc64el s390x
 HOST_ARCHS_sh4 = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_sparc64 = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_x32 = amd64 arm64 i386 ppc64el
@@ -232,10 +232,9 @@
 HOST_ARCHS_hurd-amd64 = amd64 i386 x32
 HOST_ARCHS_hurd-i386 = amd64 i386 x32
 
-# Map a Debian architecture alias to a GNU type or a multiarch path component.
-run_dpkg_arch = $(or $(dpkg_arch_$1),$(eval \
-  dpkg_arch_$1 := $(shell dpkg-architecture -f -a$1))$(dpkg_arch_$1))
-_gnu_type  = $(call vafilt,$(run_dpkg_arch),DEB_HOST_GNU_TYPE)
-_multiarch = $(call vafilt,$(run_dpkg_arch),DEB_HOST_MULTIARCH)
-
 # Convenient shortcuts for {configure,build,install,binary}.%: generic recipes.
+CROSS_ARCH	= $(subst .,,$(suffix $@))
+CROSS_GNU_TYPE	= $(subst i586,i686,$(call _gnu_type,$(CROSS_ARCH)))
+P_CROSS		= binutils-$(subst _,-,$(CROSS_GNU_TYPE))
+D_CROSS		= debian/$(P_CROSS)
+
