## binutils 2.41.90.20240115

=== debian/changelog ===
binutils (2.41.90.20240115-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Jan 2024 17:36:34 +0100

binutils (2.41.90.20240115-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.42 branch.
  * Drop the gold-mips patch. Closes: #1049455.
  * Enabled gold on amd64-hurd. Closes: #1060419.
  * Configure hppa binutils with --enable-targets=hppa64-linux-gnu.
    Closes: #1059674.
  * Drop nocheck override for powerpc and sparc64. Closes: #1059703.
  * Configure again with --enable-pgo-build=lto.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Jan 2024 16:43:24 +0100

binutils (2.41.50.20231227-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Dec 2023 12:18:58 +0100

binutils (2.41.50.20231214-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Dec 2023 17:53:35 +0100

binutils (2.41.50.20231206-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Dec 2023 10:42:02 +0100

binutils (2.41.50.20231202-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Dec 2023 13:06:26 +0100

binutils (2.41.50.20231127-0ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Nov 2023 14:38:03 +0100

binutils (2.41.50.20231101-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 08:40:12 +0100

binutils (2.41-6ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Oct 2023 10:18:19 +0100

binutils (2.41-6) unstable; urgency=medium

  * Update binutils from the 2.41 branch.
    - Fix PR gas/30856, x86-64: suffix-less PUSH of symbol address.
    - AArch64: Remove unused function.
    - x86: restrict prefix use with .insn VEX/XOP/EVEX.
  * Build packages for loong64. Closes: #1034633.
  * Fix PR ld/30940, taken from the trunk. Closes: #1053578.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Oct 2023 03:40:20 +0200

binutils (2.41-5ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2023 16:02:40 +0200

binutils (2.41-4ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Aug 2023 18:37:20 +0200

binutils (2.41-3ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Aug 2023 06:42:48 +0200

binutils (2.41-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jul 2023 18:07:57 +0200

binutils (2.40.90.20230720-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jul 2023 15:36:42 +0200

binutils (2.40.90.20230714-2ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Jul 2023 17:03:06 +0200

binutils (2.40.90.20230705-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Jul 2023 17:26:00 +0200

binutils (2.40.50.20230701-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Disable running tests on i386, testsuite hangs, see PR gprofng/30602.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 01 Jul 2023 16:24:06 +0200

binutils (2.40.50.20230630-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Jun 2023 12:28:17 +0200

binutils (2.40.50.20230622-1ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Jun 2023 15:32:08 +0200

binutils (2.40.50.20230611-2ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Jun 2023 07:02:43 +0200

binutils (2.40-2ubuntu5) mantic; urgency=medium

  * Update from the binutils 2.40 branch:
    - Fix PR30198, Assertion and segfault when linking x86_64 elf and coff.
    - Fix PR30217, dynamic relocations using local dynamic symbols.
    - libctf: fix assertion failure with no system qsort_r.
    - libctf: get the offsets of fields of unnamed structs/unions right.
    - gas: arm: Fix a further IT-predicated vcvt issue in the presense of
      MVE vcvtn.
    - gas: arm: Change warning message to not reference specific A-class
      architecture revision.
    - PR ld/30281: lto: Don't add indirect symbols for versioned aliases in IR.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 May 2023 09:36:09 +0200
