## binutils 2.42

=== debian/changelog ===
binutils (2.42-4ubuntu2.6) noble-security; urgency=medium

  * SECURITY UPDATE: Heap based buffer overflow
    - debian/patches/CVE-2025-11082.patch: avoid reads of beyond
      .eh_frame section in bfd/elf-eh-frame.c.
    - CVE-2025-11082
  * SECURITY UPDATE: Heap based buffer overflow
    - debian/patches/CVE-2025-11083.patch: fix in bfd/elfcode.h.
    - CVE-2025-11083
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2025-1147.patch: fix treating an ifunc symbol
      as a stab in binutils/nm.c, binutils/testsuite/binutils-all/nm.exp.
    - CVE-2025-1147
  * SECURITY UPDATE: Memory leak
    - debian/patches/CVE-2025-1148.patch: replace xmalloc with stat_alloc
      in ld parser in multiple files.
    - CVE-2025-1148
  * SECURITY UPDATE: Memory leak
    - debian/patches/CVE-2025-3198.patch: fix memory leak
      inbinutils/bucomm.c.
    - CVE-2025-3198
  * SECURITY UPDATE: Memory corruption
    - debian/patches/CVE-2025-5244.patch: fix segfault
      in bfd/elflink.c
    - CVE-2025-5244
  * SECURITY UPDATE: Memory corruption
    - debian/patches/CVE-2025-5245.patch: fix segfault
      in binutils/debug.c
    - CVE-2025-5245
  * SECURITY UPDATE: Heap-based buffer overflow
    - debian/patches/CVE-2025-7545.patch: check size
      of copy_section in binutils/objcopy.c
    - CVE-2025-7545
  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2025-7546.patch: fix in bfd/elf.c.
    - CVE-2025-7546
  * SECURITY UPDATE: Memory leak
    - debian/patches/CVE-2025-8225.patch: fix in binutils/dwarf.c.
    - CVE-2025-8225

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 21 Oct 2025 14:07:05 -0300

binutils (2.42-4ubuntu2.5) noble-security; urgency=medium

  * SECURITY UPDATE: Memory corruption
    - debian/patches/CVE-2025-1153.patch: introduces new variant of einfo
      called 'fatal' that always exits in ld/*.
    - CVE-2025-1153
  * SECURITY UPDATE: Heap based buffer overflow
    - debian/patches/CVE-2025-1176.patch: prevent illegal memory access
      when indexing into the sym_hashes array in bfd/elflink.c.
    - CVE-2025-1176
  * SECURITY UPDATE: Memory corruption
    - debian/patches/CVE-2025-1178.patch: prevent an abort in the bfd linkder
      when attempting to generate dynamic relocs for a corrupt input file
      in bfd/elf64-x86-64.c.
    - CVE-2025-1178
  * SECURITY UPDATE: Memory corruption
    - debian/patches/CVE-2025-1181-pre.patch: prevent illegal memory access
      when checking relocs in a corrupt ELF binary in bfd/elf-bfd.h,
      bfd/elf64-x86-64.c, bfd/elflink.c, bfd/elfxx-x86.c.
    - debian/patches/CVE-2025-1181.patch: add even more checks for corrupt
      input when processing relocations for ELF files in bdf/elflink.c.
    - CVE-2025-1181
   * SECURITY UPDATE: Memory corruption
     - debian/patches/CVE-2025-1182.patch: fix illegal memory access
       triggered by corrupt ELF input files in bfd/elflink.c.
     - CVE-2025-1182

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 10 Mar 2025 10:52:52 -0300

binutils (2.42-4ubuntu2.4) noble-security; urgency=medium

  * SECURITY UPDATE: Incorrect access control
    - debian/patches/CVE-2024-57360.patch: avoid potential
      segmentation fault when displaying symbols without version
      info in binutils/nm.c.
    - CVE-2024-57360
  * SECURITY UPDATE: Stack-based overflow
    - debian/patches/CVE-2025-0840.patch: fixing boundaries
      checking in binutils/objdump.c.
    - CVE-2025-0840

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 05 Feb 2025 10:55:29 -0300

binutils (2.42-4ubuntu2.3) noble-proposed; urgency=medium

  * SRU: LP: #2076024: Build with -fno-omit-frame-pointer.
  * Build loong64 packages on arm64 and ppc64el.
  * ld.bfd, ld.gold: When no package-metadata option is given, fall-back
    to the envvar ELF_PACKAGE_METADATA.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Aug 2024 12:15:13 +0200

binutils (2.42-4ubuntu2) noble; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Mar 2024 20:49:57 +0100

binutils (2.42-4ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Mar 2024 17:05:51 +0100

binutils (2.42-4) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.42 branch.
    - AArch64: Fix the 2nd operand in gcsstr and gcssttr instructions.
    - AArch64: Remove B16B16, SVE2p1 and SME2p1.
  * binutils-dev: Install libopcodes_pic.a and libbfd_pic.a.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Mar 2024 16:08:43 +0100

binutils (2.42-3ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Feb 2024 23:50:17 +0100

binutils (2.42-3) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.42 branch.
    - PR31124: Addendum: Remove PROVIDE of __flmap_init_label, __flmap (AVR).
    - Mention support for AMD/znver5 in GAS.
    - x86: Disallow instructions with length > 15 bytes.
    - LoongArch: gas: Fix the types of symbols referred with %le_*_r
      in the symtab.
    - Link x86-64 mark-plt-1.so testcase with --no-as-needed.
    - PR 31283 windmc: Parse input correctly on big endian hosts.
    - PR31208, strip can break ELF alignment requirements.
    - x86/APX: VROUND{P,S}{S,D} encodings require AVX512{F,VL}.
    - x86-64: Add R_X86_64_CODE_6_GOTTPOFF.
    - PowerPC: Add support for Power11 options.
    - x86: Display -msse-check= default as none.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Feb 2024 23:41:40 +0100

binutils (2.42-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2024 11:07:15 +0100

binutils (2.42-2) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.42 branch.
    - Add missing test case files.

