=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: binutils
 Section: devel
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: James Troup <binutils@elmo.tasta.io>
 Standards-Version: 4.6.2
 Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.19.0.5),
@@ -283,4 +284,3 @@
 Suggests: binutils-doc (= ${source:Version})
 Provides: 
 Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
-Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
