=== debian/rules ===
--- 
+++ 
@@ -149,12 +149,12 @@
                    kfreebsd-amd64 kfreebsd-i386 hurd-amd64 hurd-i386
   else ifeq ($(DEB_HOST_ARCH),arm64)
     CROSS_ARCHS ?= amd64 armel armhf i386 powerpc ppc64el riscv64 s390x \
-		   alpha arc hppa m68k sh4 sparc64 x32
+		   alpha arc hppa loong64 m68k sh4 sparc64 x32
   else ifeq ($(DEB_HOST_ARCH),ppc64)
     CROSS_ARCHS ?= ppc64el
   else ifeq ($(DEB_HOST_ARCH),ppc64el)
     CROSS_ARCHS ?= powerpc ppc64 amd64 armel armhf arm64 i386 riscv64 s390x \
-		   alpha arc hppa m68k sh4 sparc64 x32
+		   alpha arc hppa loong64 m68k sh4 sparc64 x32
   else ifeq ($(DEB_HOST_ARCH),s390x)
     CROSS_ARCHS ?= amd64 armhf arm64 i386 riscv64 powerpc ppc64 ppc64el
   endif
